
Auto Multiple Choice - Feature # 287: Portuguese localisation

Status: Closed Priority: Normal
Author: Pedro Cruz Category:
Created: 06/20/2014 Assignee: Alexis Bienvenüe
Updated: 08/19/2014 Due date:
Description: How to change keyword "Question" to "Questão" in the PDF output ?

(and other keywords like that)
I've searched the forum and found nothing about it.
AMC Version 1.2.1

History
06/20/2014 11:10 am - Alexis Bienvenüe
Please provide the translation of the following words in the LaTeX code (I included here the french translation as an example), so that the @Lang: PT@ 
(AMC-TXT global option) and @lang=PT@ (LaTeX package option) can be added.
<pre>
\def\AMC@loc@draft{DRAFT}
\def\AMC@loc@message{For your examination, preferably print
  documents compiled from auto-multiple-choice.}
\def\AMC@loc@qf#1{\textbf{Question #1:}}
\def\AMC@loc@q#1#2{\textbf{Question #1} #2}
\def\AMC@loc@corrected{Corrected}
\def\AMC@loc@catalog{Catalog}
\def\AMC@loc@explain{\textit{\textbf{Explanation: }}}
\def\AMC@loc@none{None of these answers are correct.}
\def\AMC@loc@FR{
  \def\AMC@loc@draft{PROJET}
  \def\AMC@loc@message{Pour votre examen, imprimez de pr\'ef\'erence
    les documents compil\'es \`a l'aide de auto-multiple-choice.}
  \def\AMC@loc@qf##1{\textbf{Question ##1 :}}
  \def\AMC@loc@q##1##2{\textbf{Question ##1} ##2}
  \def\AMC@loc@corrected{Correction}
  \def\AMC@loc@catalog{Catalogue}
  \def\AMC@loc@none{Aucune de ces r\'eponses n'est correcte.}
}
</pre>

06/20/2014 12:32 pm - Pedro Cruz
Alexis Bienvenüe wrote:
> Please provide the translation of the following words in the LaTeX code (I included here the french translation as an example), so that the @Lang: 
PT@ (AMC-TXT global option) and @lang=PT@ (LaTeX package option) can be added.
> [...]

This is a first suggestion:

 \def\AMC@loc@draft{RASCUNHO}
 \def\AMC@loc@message{Para o seu exame, use preferencialmente documentos compilados do auto-multiple-choice.}
 \def\AMC@loc@qf#1{\textbf{Questão #1:}}
 \def\AMC@loc@q#1#2{\textbf{Questão #1} #2}
 \def\AMC@loc@corrected{Corrigido}
 \def\AMC@loc@catalog{Catálogo}
 \def\AMC@loc@explain{\textit{\textbf{Justifique: }}}
 \def\AMC@loc@none{Nenhuma das respostas apresentadas está correta.}

Pedro

06/20/2014 03:34 pm - Alexis Bienvenüe
- File amcpt.sty added

Thanks. This will be added to the development code. If you need it before, you can save the attached sty file in the project directory (or in each of your 
projects directories), and call @amcpt@ package _after_ @automultiplechoice@: in LaTeX source files,
<pre>
\usepackage{amcpt}
</pre>
and in AMC-TXT source files:
<pre>
LaTeX-Preambule: \usepackage{amcpt}
</pre>

08/19/2014 06:15 am - Anirvan Sarkar
- Target version set to 1.3.0

- Assignee set to Alexis Bienvenüe

- % Done changed from 0 to 100

- Subject changed from Portuguese  to Portuguese localisation

- Status changed from New to Closed

Applied in changeset commit:caace38.

Files
amcpt.sty 432 Bytes 06/20/2014 Alexis Bienvenüe
